

          XLIB 0.5 pour Ocaml



COMMENTAIRES:
_____________
  Les noms des fonctions X Caml doivent correspondre aux noms des fonctions
C de la libX11 modulo petite modification: 
	XCreateWindow devient X.createWindow

Pour les parametres, il faut chercher dans le fichier src/xlib.mli. Les types
sont definis dans src/xtypes.ml et les constantes dans src/xconst.ml

ATTENTION: Cette librairie n'est pas totalement source-compatible avec les
anciennes (a priori, il faut seulement changer les noms des modules ouverts).

Regardez les sources des demos pour voir les differences. En particulier,
seulement trois modules sont exportes: Xtypes, Xconst et Xlib.

Les anciens modules doivent normalement etre tous des sous-modules de Xlib.

Au moment du link, il faut choisir le type de concurrence desire (avec ou
sans threads). On utilisera donc xthreads.cma ou xnothreads.cma suivant
les desirs (il contiennent deux versions du module Concur).

Le module Xlib contient 3 modules d'instructions similaires: X, SYNC et XASYNC.
Le module X (normal): les requetes sans reponses sont asynchrones et les
	requetes avec reponses sont synchrones (bloquantes).
Le module XSYNC: les requetes sans reponses sont asynchrones avec jeton et 
	les requetes avec reponses sont synchrones (bloquantes). Le jeton 
	permet de tester si une erreur a eu lieu (voir l'exemple demo/test5.ml
	qui teste si un WM est present).
Le module XASYNC: Les requetes sans reponses sont asynchrones et les requetes
	avec reponses sont asynchrones avec jeton (le jeton permet de 
	recuperer la reponse plus tard).

L'utilisation de ces 3 modules en meme temps doit permettre d'obtenir toutes
  les formes d'instructions utiles (sans test d'erreur, reponse avec attente,
  avec test d'erreur et avec reponse sans attente). 

INSTALLATION DE LA LIBRAIRIE X sous Ocaml (1.07)
________________________________________________

1. Editez le fichier Makefile.config

Modifier les lignes en fonctions de vos PATHs.
LIBDIR correspond au repertoire ou sera installee la librairie.

2. Lancez la compilation

  Bytecode:   make byte
  Code natif: make opt
  Les deux:   make 

3. Testez les exemples

  cd demo
  make byte
  make opt
  
  test1.exe/out affiche une fenetre. Si on modifie sa taille, un cercle 
    s'affiche et se dilate avec la taille de la fenetre

  test2.exe/out affiche un echiquier rouge et vert.

  test3.exe/out attend un clic sur une fenetre, puis affiche ses proprietes
    standards

  test4.exe/out attend un clic sur une fenetre, affiche son nom et le change
	
3. Installez les fichiers

  Bytecode:  make install
  Code natif: make installopt	

