(***********************************************************************)
(*                                                                     *)
(*                           xlib for Ocaml                            *)
(*                                                                     *)
(*       Fabrice Le Fessant, projet Para/SOR, INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 1998 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(*
  Fichier genere (en partie) par Xatom.l (lex) a partir de Xatom.h 

  Utilisation :
     XA_PRIMARY devient XA.xa_primary
  
 *)

let xa_primary =  1
let xa_secondary =  2
let xa_arc =  3
let xa_atom =  4
let xa_bitmap =  5
let xa_cardinal =  6
let xa_colormap =  7
let xa_cursor =  8
let xa_cut_buffer0 =  9
let xa_cut_buffer1 =  10
let xa_cut_buffer2 =  11
let xa_cut_buffer3 =  12
let xa_cut_buffer4 =  13
let xa_cut_buffer5 =  14
let xa_cut_buffer6 =  15
let xa_cut_buffer7 =  16
let xa_drawable =  17
let xa_font =  18
let xa_integer =  19
let xa_pixmap =  20
let xa_point =  21
let xa_rectangle =  22
let xa_resource_manager =  23
let xa_rgb_color_map =  24
let xa_rgb_best_map =  25
let xa_rgb_blue_map =  26
let xa_rgb_default_map =  27
let xa_rgb_gray_map =  28
let xa_rgb_green_map =  29
let xa_rgb_red_map =  30
let xa_string =  31
let xa_visualid =  32
let xa_window =  33
let xa_wm_command =  34
let xa_wm_hints =  35
let xa_wm_client_machine =  36
let xa_wm_icon_name =  37
let xa_wm_icon_size =  38
let xa_wm_name =  39
let xa_wm_normal_hints =  40
let xa_wm_size_hints =  41
let xa_wm_zoom_hints =  42
let xa_min_space =  43
let xa_norm_space =  44
let xa_max_space =  45
let xa_end_space =  46
let xa_superscript_x =  47
let xa_superscript_y =  48
let xa_subscript_x =  49
let xa_subscript_y =  50
let xa_underline_position =  51
let xa_underline_thickness =  52
let xa_strikeout_ascent =  53
let xa_strikeout_descent =  54
let xa_italic_angle =  55
let xa_x_height =  56
let xa_quad_width =  57
let xa_weight =  58
let xa_point_size =  59
let xa_resolution =  60
let xa_copyright =  61
let xa_notice =  62
let xa_font_name =  63
let xa_family_name =  64
let xa_full_name =  65
let xa_cap_height =  66
let xa_wm_class =  67
let xa_wm_transient_for =  68

let xa_last_predefined =  68
