(* let _ = Debug.flag := false *)
let _ = CdDebug.cadmiumFlag := true
let char = 'z'

let client_loc = Join.here
let (server_loc:Join.location) = Ns.lookup  "server_loc"  vartype
let (cache_loc:Join.location) =  Ns.lookup  "cache_loc"  vartype
let client_loc = Join.here

let (item1: <get_name : string; set_name : string -> unit; migrate2 : Join.location -> unit>)
  = Ns.lookup "item1" vartype
let (item2: <get_name : string; set_name : string -> unit; migrate2 : Join.location -> unit>)
  = Ns.lookup "item2" vartype
let (item3: <get_name : string; set_name : string -> unit; migrate2 : Join.location -> unit>)
  = Ns.lookup "item3" vartype
let (item4: <get_name : string; set_name : string -> unit; migrate2 : Join.location -> unit>)
  = Ns.lookup "item4" vartype
let (item5: <get_name : string; set_name : string -> unit; migrate2 : Join.location -> unit>)
  = Ns.lookup "item5" vartype

let _ = 
  let (_,cache,_,_,_) = Obj.magic (cache_loc)
  in Space.set_cache cache

let _ = 
  CdDebug.printnl "Client started";
  CdDebug.print "Client ";CdDebug.printSpace ();
(*   Space.set_cache cache; *)
(*   for i = 0 to 50 do *)
(*     let n = item#get_name *)
(*     in CdDebug.printnl (n^(string_of_int i)); item#set_name (n^"+") *)
(*   done; *)
  CdUtils.print_spaces ();
  item1#get_name;
  Debug.print0 char "It is here! *****************************************************\n";
  (Obj.magic item1)#coucou "Item1: It is me, in the client!\n";
  (Obj.magic item2)#coucou "Item2: It is me, in the client!\n";
  (Obj.magic item3)#coucou "Item3: It is me, in the client!\n";
  (Obj.magic item4)#coucou "Item4: It is me, in the client!\n";
  (Obj.magic item5)#coucou "Item5: It is me, in the client!\n";
  Debug.print0 char "It ends! ********************************************************\n";
  (* CdUtils.print_uids (!(CdUtils.list_all_object_stubs [Space.local_space])); *)
  CdDisconnect.disconnect Space.local_space;
  Join.server ()

