#include "mlvalues.h"
#include "minor_gc.h"
#include "roots.h"
#include "alloc.h"
#include "fail.h"
#include "io.h"
#include "gc.h"
#include "memory.h"
#include "signals.h"
#include "stacks.h"
#define caml_generated_constant value
#include "common.h"

int with_native = 0;

value  Out_of_memory, Sys_error, Failure,
  Invalid_argument, End_of_file, Division_by_zero, Not_found, 
  Match_failure;

char * static_data_start = NULL;
char * static_data_end = NULL;
char *code_area_start = NULL;
char *code_area_end = NULL;

void asm_oldify_local_roots (void)
{}

void asm_do_roots (scanning_action f)
{}

void asm_caml_main(char **argv)
{
  byte_caml_main(argv);
}

void asm_mlraise(value v)
{
  Assert(! async_signal_mode);
  Unlock_exn();
  exn_bucket = v;
  siglongjmp(external_raise->buf, 1);
}

